/***********************************************
 * main.h
 *
 * principais estruturas e variaveis do programa
 ************************************************/
#ifndef MAIN_H
#define MAIN_H

#include <stdio.h>
#include <stdlib.h>

#define FIC_ALU "alunos.dat"
#define FIC_TUR "turmas.dat"
#define FIC_TEX "turmas.txt"

void menu(void);
void menu_tur(void);
void menu_alu(void);

static char dia_semana[6][14]={"Segunda-feira","Tera-feira","Quarta-feira","Quinta-feira","Sexta-feira","Sbado"};

/* estrutura de dados sobre alunos */
typedef struct {
  int num;
  long num_cont;
  char nome[40];
  char morada[60];
  char tel[11];
  int turma;
} ALUNO;

/* estrutura de dados sobre turmas */
typedef struct {
  int num;
  int grau;
  int num_horas[6]; /* horas associadas a cada dia da semana */
  int horas_ini[6]; /* hora de incio da aula associada a cada dia da semana */
  char prof[40];
} TURMA;


#endif
