#include "main.h"
#include "basico.h"
#include "outros.h"

void cria_texto(void){

  FILE *fpa,*fpt,*fpx;
  ALUNO alu;
  TURMA tur;
  int i,k;

  if ( (fpt=fopen(FIC_TUR,"rb"))==NULL){
    fprintf(stderr,"Erro ao abrir o ficheiro %s\n",FIC_TUR);
    getchar();
    return;
  }
  if ( (fpa=fopen(FIC_ALU,"rb"))==NULL){
    fprintf(stderr,"Erro ao abrir o ficheiro %s\n",FIC_ALU);
    getchar();
    return;
  }
  if( (fpx=fopen(FIC_TEX,"w"))==NULL){
    fprintf(stderr,"Erro ao abrir o ficheiro %s\n",FIC_TEX);
    getchar();
    return;
  }

  system("clear");


  while(fread(&tur,sizeof(TURMA),1,fpt)==1){
    if(tur.num!=-1){
      fprintf(fpx,"\n\n----------------------------------------\n");
      fprintf(fpx,"\n        LearnEnglish - Turmas\n");
      fprintf(fpx,"\n Nmero: %d",tur.num);
      fprintf(fpx,"\n Grau: %d",tur.grau);
      fprintf(fpx,"\n Nome prof.: %s",tur.prof);
      fprintf(fpx,"\n ---- Horrio ----");
      for(i=0;i<6;i++)
	if(tur.num_horas[i]>0)
	  fprintf(fpx,"\n %s das %d s %d",dia_semana[i],tur.horas_ini[i],tur.horas_ini[i]+tur.num_horas[i]);
      fprintf(fpx,"\n\n----------------------------------------\n");
      
      fseek(fpa,0,SEEK_SET);
      k=0;
      while(fread(&alu,sizeof(ALUNO),1,fpa)==1){
	if(alu.turma==tur.num && alu.num!=-1){
	  k++;
	  fprintf(fpx,"\n %d. %s",k,alu.nome);
	}
      }
    }
  }

  fprintf(fpx,"\n\n----------------------------------------\n");
  fprintf(fpx,"\n        LearnEnglish - Turmas\n");
  fprintf(fpx,"\n      ALUNOS SEM TURMA ATRIBUDA");
  fprintf(fpx,"\n\n----------------------------------------\n");
  fseek(fpa,0,SEEK_SET);
  k=0;
  while(fread(&alu,sizeof(ALUNO),1,fpa)==1){
    if(alu.turma==-1 && alu.num!=-1){
      k++;
      fprintf(fpx,"\n %d. %s",k,alu.nome);
    }
  }
  
  fclose(fpa);
  fclose(fpt);
  fclose(fpx);
  printf("\n\n Ficheiro criado com sucesso.\n");
  printf("\n Prima <<ENTER>> para continuar");
  getchar();
}

